# Get transaction by external id

> GET /v1/transactions/external/{external_id}

Source: https://docs.trykintsugi.com/reference/get-transaction-by-external-id

API version: v1 (legacy API)

GET /v1/transactions/external/{external_id}

Get transaction by external id

Retrieves a specific transaction based on its external ID.
    This allows users to fetch transaction details using an identifier from an external system.

Category: Transactions

Path parameters:
external_id (string, required) - The unique external identifier of the transaction.

Response fields:
requires_exemption (ExemptionRequired) - Indicates if transaction requires tax exemption.
  jurisdiction (string)
  customer_id (string)
  organization_id (string, required) - Unique identifier of the organization. This field is deprecated, and should no longer be used. The value is populated through the 'x-organization-id' header.
  exemption_type (ExemptionType, required) - Type of exemption. `partial` is not accepted here because it needs a certificate form; add partial exemptions to the customer instead.
    allowed values: customer, wholesale, transaction, reverse_charge, partial
  start_date (string, required)
  status (ExemptionStatus, required)
    allowed values: ACTIVE, INACTIVE, EXPIRED, DEACTIVATED, ARCHIVED
  reseller (boolean, required)
  country_code (CountryCodeEnum)
    allowed values: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM (and 239 more, see the reference page)
  end_date (string)
  FEIN (string)
  sales_tax_id (string)
  source (ExemptionSourceEnum) - Source of exemption, needs extension for new sources which supports
multi-state exemptions
    allowed values: NETSUITE, QUICKBOOKS, INTUIT_ENTERPRISE_SUITE, SAGE_INTACCT, SHOPIFY, XERO, STRIPE, BIGCOMMERCE, MAGENTO, MAXIO, CHARGEBEE, ZUORA (and 14 more, see the reference page)
organization_id (string, required) - Unique identifier of the organization. This field is deprecated, and should no longer be used. The value is populated through the 'x-organization-id' header.
external_id (string, required) - External identifier of the transaction.
date (string, required) - Transaction date and time
shop_date (string) - Transaction date in the shop's local timezone
shop_date_tz (string) - Timezone of the shop
description (string) - Description of the transaction.
refund_status (TransactionRefundStatus) - Status of refund, if applicable
  allowed values: FULLY_REFUNDED, PARTIALLY_REFUNDED
total_amount (string) - Total amount of the transaction.
[truncated, see the reference page]

---

Index of every page: https://docs.trykintsugi.com/llms.txt
